﻿// SetRectDlg.cpp : 実装ファイル
//

#include "pch.h"
#include "Sample.h"
#include "afxdialogex.h"
#include "SetRectDlg.h"


// CSetRectDlg ダイアログ

IMPLEMENT_DYNAMIC(CSetRectDlg, CDialogEx)

CSetRectDlg::CSetRectDlg(CWnd* pParent /*=nullptr*/)
	: CDialogEx(IDD_SET_DECODE_RECT, pParent)
	, m_bEnableSetRect(0)
	, m_nRectLeft(0)
	, m_nRectTop(0)
	, m_nRectRight(0)
	, m_nRectBottom(0)
{
}

CSetRectDlg::~CSetRectDlg()
{
}

void CSetRectDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Radio(pDX, IDC_DISABLE_SET_RECT, m_bEnableSetRect);
	DDX_Text(pDX, IDC_RECT_LEFT, m_nRectLeft);
	DDX_Text(pDX, IDC_RECT_TOP, m_nRectTop);
	DDX_Text(pDX, IDC_RECT_RIGHT, m_nRectRight);
	DDX_Text(pDX, IDC_RECT_BOTTOM, m_nRectBottom);
}


BEGIN_MESSAGE_MAP(CSetRectDlg, CDialogEx)
	ON_COMMAND(IDC_ENABLE_SET_RECT, &CSetRectDlg::OnEnableSetRect)
	ON_COMMAND(IDC_DISABLE_SET_RECT, &CSetRectDlg::OnDisableSetRect)
END_MESSAGE_MAP()


// CSetRectDlg メッセージ ハンドラー


BOOL CSetRectDlg::OnInitDialog()
{
	CDialogEx::OnInitDialog();

	// 座標指定エディットコントロール有効／無効化
	EnableEditControl(m_bEnableSetRect);

	return TRUE;
}

void CSetRectDlg::OnDisableSetRect()
{
	// 座標指定エディットコントロール無効化
	EnableEditControl(FALSE);
}

void CSetRectDlg::OnEnableSetRect()
{
	// 座標指定エディットコントロール有効化
	EnableEditControl();
}

void CSetRectDlg::EnableEditControl(BOOL bEnable) 
{
	GetDlgItem(IDC_RECT_LEFT)->EnableWindow(bEnable);
	GetDlgItem(IDC_RECT_TOP)->EnableWindow(bEnable);
	GetDlgItem(IDC_RECT_RIGHT)->EnableWindow(bEnable);
	GetDlgItem(IDC_RECT_BOTTOM)->EnableWindow(bEnable);
}
